# dask.array.linalg.solve

dask.array.linalg.solve(a, b, sym_pos=None, assume_a='gen')

  Solve the equation `a x = b` for `x`. By default, use LU decomposition and forward / backward substitutions. When `assume_a = "pos"` use Cholesky decomposition.

  Parameters:
    a(M, M) array_like

      A square matrix.

    b(M,) or (M, N) array_like

      Right-hand side matrix in `a x = b`.

    sym_pos bool, optional

      Assume a is symmetric and positive definite. If `True`, use Cholesky decomposition.

      Note

      `sym_pos` is deprecated and will be removed in a future version. Use `assume_a = 'pos'` instead.

    assume_a{‘gen’, ‘pos’}, optional

      Type of data matrix. It is used to choose the dedicated solver. Note that Dask does not support ‘her’ and ‘sym’ types.

      Changed in version 2022.8.0: `assume_a = 'pos'` was previously defined as `sym_pos = True`.

  Returns:
    x(M,) or (M, N) Array

      Solution to the system `a x = b`. Shape of the return matches the shape of b.

  See also

  `scipy.linalg.solve`